| Home | Libraries | People | FAQ | More

##### segments_ref::push_back

Append a segment.

###### Synopsis

    void
    push_back(
        core::string_view s);

###### Description

This function appends a segment to the end of the path. Reserved characters in the string are automatically escaped.

All end iterators are invalidated.

###### Postconditions

    this->back() == s

###### Exception Safety

Strong guarantee. Calls to allocate may throw.

###### Parameters

Name | Description
--- | ---
`s` | The segment to append.